Subject: Re: bug#58790: Eglot URI parsing bug when using clojure-lsp server

From: João Távora <[email-masked]>
Date: Thu, 10 Nov 2022 22:48:20 +0000

Danny Freeman <[email-masked]> writes:

> In reviewing the comments over and over I've made a modification to
> the second patch involving the warning message. Instead of using an
> arbitrary symbol I realized that the function `find-file-name-handler'
> works when a nil value for the second argument (operation).

I've now pushed the first patch, but I held off the second patch.

I don't see this OPERATION=nil option documented in the docstring of
find-file-name-handler, so I'm not sure we should rely on it.

I think we should provide OPERATION here, because what we want to check
is if we, Emacs, can actually visit the file designated by the URI.  So
I think passing something like 'access-file' as the OPERATION argument
makes more sense.  But Eli probably has more knowledge here.  Maybe
passing nil is indeed correct.

João